/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 11/04/2025

Calcolare il Pi Greco.
*/

#include <iostream>
#include <iomanip>
#include <cmath>

using namespace std;

double calcolaPotenza(int n);

int main() {
    double p = 0;
    
    for (int i = 60000; i > 0; i--) {
    	p = p + (1 / calcolaPotenza(i));
	}
	
    cout << fixed << setprecision(20) << sqrt(6 * p) << endl;

    return 0;
}

double calcolaPotenza(int n) {
	return n * n;
}